BlinkFilter (RabbIT/4)
Date: 2009-12-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.filter
Class BlinkFilter

    java.lang.Object
      rabbit.filter.HtmlFilter
          rabbit.filter.SimpleTagFilter
              rabbit.filter.BlinkFilter

All Implemented Interfaces:
  HtmlFilterFactory

    public class BlinkFilter

extends SimpleTagFilter

A filter that removes the blink and /blink tags.

Author:
  Robert Olofsson

Field Summary

Fields inherited from class rabbit.filter.HtmlFilter
`con, request, response`

Constructor Summary
`BlinkFilter()`
`BlinkFilter(Connection con, HttpHeader request, HttpHeader response)` Create a new BlinkFilter for the given request, response pair.

Method Summary
`void` | `handleTag(Tag tag, HtmlBlock block, int tokenIndex)` Remove blink tags.
`HtmlFilter` | `newFilter(Connection con, HttpHeader request, HttpHeader response)` Get a new HtmlFilter for the given request, response pair.

Methods inherited from class rabbit.filter.SimpleTagFilter
`filterHtml`

Methods inherited from class rabbit.filter.HtmlFilter
`isCacheable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlinkFilter

    public BlinkFilter()

### BlinkFilter

    public BlinkFilter(Connection con,
                       HttpHeader request,
                       HttpHeader response)

  Create a new BlinkFilter for the given request, response pair.

  Parameters:
    `con` - the Connection handling the request.
    `request` - the actual request made.
    `response` - the actual response being sent.

Method Detail

### newFilter

    public HtmlFilter newFilter(Connection con,
                                HttpHeader request,
                                HttpHeader response)

  Description copied from interface: `HtmlFilterFactory`
  Get a new HtmlFilter for the given request, response pair.

  Parameters:
    `con` - the Connection handling the request.
    `request` - the actual request made.
    `response` - the actual response being sent.

### handleTag

    public void handleTag(Tag tag,
                          HtmlBlock block,
                          int tokenIndex)

  Remove blink tags.

  Specified by:
    `handleTag` in class `SimpleTagFilter`
  Parameters:
    `block` - the part of the html page we are filtering.
    `tag` - the Tag to handle.
    `tokenIndex` - the index of the current Token

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD